# /voice/change

{% hint style="warning" %}
This endpoint may be renamed. It is uncertain at this point in time.
{% endhint %}

### Endpoint Headers:

* bot-token - Token of the Bot <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)
* guild-id - ID of the guild to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;

### Endpoint Body Parameters

* user-id - ID of the member to modify <mark style="color:orange;">**\[Snowflake]**</mark> <mark style="color:red;">(</mark><mark style="color:red;">**Required**</mark><mark style="color:red;">)</mark>
* channel-id - ID of the channel to move the member to. Leave null to disconnect the user. **\[Snowflake]** (<mark style="color:green;">**Optional**</mark>)
* mute - Whether to server mute the member <mark style="color:orange;">**\[Boolean]**</mark> (<mark style="color:green;">**Optional**</mark>)
* deaf - Whether to server deafen the member <mark style="color:orange;">**\[Boolean]**</mark> (<mark style="color:green;">**Optional**</mark>)
* time - How long the mute / deaf should last <mark style="color:orange;">**\[Timestamp (1s, 5m, 2h etc)]**</mark> (<mark style="color:green;">**Optional**</mark>)

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/guild/voice/change` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
$httpAddHeader[guild-id;1064098700307218463] 
$httpPost[https://bdfddata.rickyjs.xyz/<version>/guild/voice/change, {
channel-id: "123456789",
mute: "true",
deaf: "true",
time: "5m"
}]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/guild/members` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.get('https://bdfddata.rickyjs.xyz/<version>/guild/voice/change', {
"channel-id": "123456789",
"mute": "true",
"deaf": "true",
"time": "5m"
},{
headers: {
'apikey': <YOUR-API-KEY>,
'bot-token': <YOUR-BOT-TOKEN>,
'guild-id': '1064098700307218463',
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched. (If successful, responds with member object)

```javascript
{
  status: 200,
  details: [
    {
      "avatar": null,
      "communication_disabled_until": null,
      "flags": 0,
      "is_pending": false,
      "joined_at": "1673771300",
      "nick": null,
      "pending": false,
      "premium_since": null,

   >  'Read on `Member Objects` : https://discord.com/developers/docs/resources/guild#guild-member-object' 
    ]
}
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 401</summary>

Invalid bot token was provided.

```javascript
{
  status: 401,
  details: { message: '401: Unauthorized', code: 0 }
}
```

</details>

<details>

<summary>Code 404</summary>

Guild was not found via DAPI

```javascript
{
  status: 404,
  details: { message: 'Unknown Guild', code: 10004 } (this can vary)
}
```

</details>
